Bug 1301643 - (CVE-2016-2198) CVE-2016-2198 Qemu: usb: ehci null pointer dereference in ehci_caps_write
CVE-2016-2198 Qemu: usb: ehci null pointer dereference in ehci_caps_write
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160129,reported=2...
: Security
Depends On: 1303134 1303135
Blocks: 1301644
  Show dependency treegraph
 
Reported: 2016-01-25 10:24 EST by Adam Mariš
Modified: 2016-05-20 19:49 EDT (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the QEMU emulator built with USB EHCI emulation support. The flaw could occur when an application attempts to write to EHCI-capability registers. A privileged user inside a quest could exploit this flaw to crash the QEMU process instance (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-25 10:24:19 EST
Qemu emulator built with the USB EHCI emulation support is vulnerable to a null pointer dereference flaw. It could occur when an application attempts to write to EHCI capabilities registers.

A privileged user inside quest could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg05899.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/30/2
Comment 2 Prasad J Pandit 2016-01-29 11:06:37 EST
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 3 Prasad J Pandit 2016-01-29 11:09:00 EST
Acknowledgement:

Red Hat would like to thank Zuozhi Fzz of Alibaba Inc. for reporting this issue.
Comment 4 Prasad J Pandit 2016-01-29 11:15:08 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1303135]
Comment 5 Prasad J Pandit 2016-01-29 11:15:24 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1303134]
Comment 6 Fedora Update System 2016-03-19 17:23:00 EDT
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-19 22:26:54 EDT
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-05-15 01:27:28 EDT
qemu-2.4.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-05-20 19:49:41 EDT
qemu-2.3.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.